## gwave 20090213

=== debian/changelog ===
gwave (20090213-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * debian/control:
    + Bumped Standards-Version to 3.8.3, no changes needed.
    + Added myself to uploaders.
    + Build-Depend on debhelper (>= 7.0.50~).
    + Added Homepage field.
    + Fix from Ubuntu: add dependency on guile-gnome2-gtk to fix segfault at
      launch (Closes: #522674)
    + Remove guile-gnome2-gtk from Build-Depends.
    + Added dependency on ${misc:Depends}
    + Remove libreadline5-dev from Build-Depends (Closes: #553780).
    + Added Vcs-* fields.
    + Enhanced extended description.
    + Added Recommends: extra-xdg-menus
  * debian/compat: Bumped compat level to 7
  * Added debian/gwave.install and debian/gwave.examples
  * debian/rules: Simplified rules file.
  * debian/gwave.desktop:
    + Remove Encoding key.
    + Use Name, GenericName and Comment fields from an old Ubuntu patch.
  * Added patch 01_fix_ascii_import_locale.diff to fix LC_NUMERIC issue
    importing ASCII files. Thanks to Peter Clifton <pcjc2@cam.ac.uk>.
    (LP: #482748)
  * debian/copyright: Rewrite in machine-readable format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 16 Nov 2009 15:42:07 +0200

gwave (20090213-1) unstable; urgency=low

  * New upstream release
    * Targets GTK+ 2.x (closes: #516179)
  * Rewrote copyright file to follow latest template
  * Added debian/watch

 -- Hamish Moffatt <hamish@debian.org>  Fri, 13 Mar 2009 10:22:04 +1100

gwave (20060606-1) unstable; urgency=low

  * "New" upstream release
  * Changed maintainer to pkg-electronics team
  * Updated menu file for new menu sections
  * Added desktop file (closes: #367353)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 04 Oct 2007 23:59:53 +1000

gwave (20031224-3) unstable; urgency=low

  * Update to standards-revision 3.6.2
  * Add build-dep for libreadline5-dev; it's already required through
    guile-1.6-dev but it is required directly also (closes: #326348)
  * Rebuild to link with libreadline5

 -- Hamish Moffatt <hamish@debian.org>  Sat,  3 Sep 2005 10:52:37 +1000

gwave (20031224-2) unstable; urgency=low

  * Updated dependencies to use guile-1.6-dev (closes: #227468)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 26 Jan 2004 01:07:20 +1100

gwave (20031224-1) unstable; urgency=low

  * New upstream release
  * Build against new libguilegtk-1.2-0 replacing old GNOME 1 libguilegtk0
    (closes: #187829)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Dec 2003 11:11:24 +1100

gwave (20020122-1) unstable; urgency=low

  * New upstream release 

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Jun 2002 23:19:36 +1000

gwave (20011021-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Mon, 22 Oct 2001 22:43:21 +1000

gwave (20001123-2) unstable; urgency=low

  * Fixed build dependency on libgtk-dev (closes: #116541)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 22 Oct 2001 08:21:37 +1000

gwave (20001123-1) unstable; urgency=low

  * New upstream release
  * Added build-deps and updated standards-version

 -- Hamish Moffatt <hamish@debian.org>  Wed,  6 Dec 2000 22:58:16 +1100

gwave (19990927-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Tue,  5 Oct 1999 18:32:08 +1000

gwave (19990601-2) unstable; urgency=low

  * FHS compliant

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 19:28:44 +1000

gwave (19990601-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sat, 05 Jun 1999 09:37:00 +1000

gwave (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Fri, 12 Mar 1999 19:22:00 +1100

gwave (0.0.4-2) frozen unstable; urgency=low

  * Changed menu section from Apps/Electronics to Apps/Technical,
    since the former does not exist

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 16:18:39 +1100

gwave (0.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Hamish Moffatt <hamish@debian.org>  Wed,  7 Oct 1998 20:35:39 +1000
