=== debian/control ===
Source: gwave
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, guile-1.8-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
Homepage: http://gwave.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-electronics/gwave.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/gwave.git

Package: gwave
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-gnome2-gtk
Recommends: extra-xdg-menus
Description: a waveform viewer eg for spice simulators
 Gwave is a tool for viewing analog data, such as the output of Spice
 simulations.
 .
 Gwave can read "raw" files from spice2G6, spice3F5 or ngspice, and a tabular
 ASCII format suitable for use with GnuCAP or homegrown tools. It can also read
 several binary and ascii files written by commercial spice-type simulators
 such as hspice, tspice, and nanosim.
 .
 It supports multiple "panels" (graticules) with multiple variables displayed
 in each. Two vertical-bar cursors are available for time-difference
 measurements. Multiple files can be loaded, for comparing results of several
 simulations.
