=== debian/watch ===
version=3
http://sf.net/gwave/gwave2-(.*)\.tar\.gz
