=== debian/changelog ===
gwave (20170109-1) unstable; urgency=medium

  * New upstream release
  * Remove menu entry as desktop entry is sufficient
  * Refreshed patches
  * Removed 01-fix_ascii_import_locale.diff patch, applied upstream
  * Update copyright years
  * Update standards version to 4.1.1
  * Switch Vcs-* fields to secure URLs
  * Remove Hamish Moffatt from uploaders (Closes: #831482)
  * Bumped compat level to 10
  * Override dh_autoreconf to create an empty config.rpath before running
    autoreconf
  * fix_indirect_linking.diff patch: add -lm to gwave_LDADD

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Oct 2017 17:35:14 +0200

gwave (20090213-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Added make_stack.diff patch to remove use of
    scm_the_last_stack_fluid_var that was deprecated from guile in
    commit ec16eb7847895247be3438c25d2d27ce2e137b83 dated 19 Jun 2010.
  * Added std_menus.diff patch to replace gtk-menu-append and
    gtk-menu-bar-append with gtk-menu-shell-append, preventing
    the use of the append generic that is missing in guile-gnome.
    - Closes: #779990, LP: #1311839

 -- Patricio Paez <pp@pp.com.mx>  Mon, 22 Aug 2016 12:30:03 -0500

gwave (20090213-6) unstable; urgency=medium

  * Added guile2.0.diff patch to update used header file for Guile 2.0 migration
    (Closes: #746003)
  * Update my email address
  * debian/patches/fix_*linking.diff: Add upstream bug links & update
    forwarded patch URLs.
  * fix_indirect_linking.diff patch: add missing -lm.
    Thanks to Daniel T Chen <seven.steps@gmail.com>
  * guile2.0.diff patch: Completed GH to scm transition. Also, added missing
    variable declaration.
    Thanks to Daniel T Chen <crimsun@ubuntu.com>
  * debian/copyright: Update copyright years.
  * debian/control: Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Mar 2015 13:29:07 +0200

gwave (20090213-5) unstable; urgency=medium

  * debian/control:
    + Removed Wesley J. Landaker from Uploaders list since he has retired
      (Closes: #759988)
    + Migrate to Guile 2.0 (Closes: #746003)
    + Bumped Standards-Version to 3.9.5
    + Bumped compat level to 9
    + Remove obsolete DMUA field.
    + Use canonical URIs in Vcs-* fields.
  * debian/copyright: Update copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Sep 2014 09:59:05 +0300

gwave (20090213-4) unstable; urgency=low

  * Renamed fix_needless_linking.diff patch to fix_as-needed_linking.diff
  * Updated fix_as-needed_linking.diff patch to fix test_read linking.
    Thanks to Matthias Klose <doko@ubuntu.com> (Closes: #641725)
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Removed article from description synopsis
  * Bumped compat level to 8
  * debian/copyright:
    + Updated copyright years
    + Fixed formatting

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 15 Sep 2011 17:06:03 +0200

gwave (20090213-3) unstable; urgency=low

  * Added patch fix_indirect_linking.diff to provide -lX11 when linking
    gwave, gwave-exec & gwave-repl (Closes: #554762).
  * Override dh_auto_configure to add "-Wl,--as-needed" to LDFLAGS
  * Forwarded patch to upstream
  * debian/control:
    + Updated my email address
    + Added DMUA after sponsors consent:
      http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html
    + Bumped Standards-Version to 3.8.4, no changes needed.
  * debian/copyright: updated my email address.
  * Removed files that were left over from previous releases.
  * Added fix_needless_linking.diff patch to reorder arguments when
    linking sp2sp & gwave so LDFLAGS would operate.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 07 Apr 2010 23:04:15 +0200
