## gwave 20190116

=== debian/changelog ===
gwave (20190116-2) unstable; urgency=medium

  * Add gitlab-ci.yml
  * Re-enable dh_autoreconf and bump to compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 04 Jun 2019 08:49:27 +0200

gwave (20190116-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release
  * Dropped fix_indirect_linking.diff, applied upstream
  * Dropped guile2.0.diff, make_stack.diff, std_menus.diff patches, no longer
    needed
  * Build against Guile 2.2 (Closes: #885200)
  * Update watch file
  * Use secure copyright format URL.
  * Update copyright years
  * Update to standards version 4.3.0
  * fix_as-needed_linking.diff: patch src/Makefile.* to link against guile libs
  * Add typos.diff patch to fix spelling mistakes
  * Disable dh_autoreconf to workaround an issue in guile-2.2 (See: #926182)

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 03 Apr 2019 17:54:11 +0200
