=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10), libgtk2.0-dev, guile-2.0-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12), libgtk2.0-dev, guile-2.2-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
 Homepage: http://gwave.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/gwave.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/gwave.git
+Vcs-Git: https://salsa.debian.org/electronics-team/gwave.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/gwave
 
 Package: gwave
 Architecture: any
