=== debian/watch ===
version=3
http://sf.net/gwave/gwave-(.*)\.tar\.gz
